# file name: customized-values-pulsar.yaml
components:
  functions: false
  proxy: false
  pulsar_manager: false
  toolset: false
monitoring:
  alert_manager: false
  grafana: false
  node_exporter: false
  prometheus: false
bookkeeper:
  pdb:
    usePolicy: false
  replicaCount: 3
  resources:
    requests:
      cpu: 0.2
      memory: 128Mi
broker:
  pdb:
    usePolicy: false
  configData:
    PULSAR_MEM: >
      -Xms128m -Xmx256m -XX:MaxDirectMemorySize=128m
    subscriptionExpirationTimeMinutes: "5"
    webSocketServiceEnabled: "true"
  replicaCount: 2
  resources:
    requests:
      cpu: 0.2
      memory: 256Mi
zookeeper:
  pdb:
    usePolicy: false
volumes:
  persistence: false
images:
  autorecovery:
    repository: apachepulsar/pulsar
  bookie:
    repository: apachepulsar/pulsar
  broker:
    repository: apachepulsar/pulsar
  zookeeper:
    repository: apachepulsar/pulsar
pulsar_metadata:
  image:
    repository: apachepulsar/pulsar

 